library(ggplot2)
setwd("/home/francois/git/decouverte/Timeline")

timeset<-data.frame(year=c(1800,1900,1950,2015),
                    text=c('Art ancien','Art moderne','Art contemporain','Aujourd\'hui'),
                    y=0)

plot <- ggplot(timeset,aes(x=year,y=0)) +
  geom_segment(aes(y=0,yend=y,xend=year)) +
  geom_text(aes(label=text),size=5,vjust=1.5, fontface=3) +
  geom_point(aes(y=y)) +
  scale_y_continuous(limits=c(-.25,.25)) +
  scale_x_continuous(limits=c(1775,2025)) +
  geom_hline(y=0,size=1,color='dark green') +
  theme(axis.text.y = element_blank()) + ylab("")+xlab("")



png(height=200, width=800)
plot
dev.off()
